package com.inkasso.factoring.system.department.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.ValidatorEntity;

import javax.validation.constraints.NotNull;

/**
 * @Description:组织机构实体类
 * @Author:JingJiang
 * @E-mail:254702920@qq.com
 * @Date:2017年6月6日 下午12:01:11
 */
@TableName("pbccrc_department")
public class Department {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 父级组织机构
     */
    private Long parentId;
    /**
     * 名称
     */
    private String name;
    /**
     * 部门编码
     */
    private String deptCode;
    /**
     * 内置编码
     */
    private String internalCode;
    /**
     * 子组织机构最大数
     */
    private int subCountMax;
    /**
     * 子组织机构数
     */
    private int subCount;
    /**
     * 显示顺序
     */
    private int gradation;
    /**
     * 机构类型
     */
    private Long orgTypeId;
    /**
     * 机构级别
     */
    private Long orgLevelId;
    /**
     * 备注
     **/
    private String remark;
    /** 简拼 */
    private String simplePinYin;
    /** 全拼 */
    private String fullPinYin;
    /**
     * 相对名称（不保存数据库，仅列表展示，如浙江省杭州市西湖区）
     **/
    @TableField(exist = false)
    private String relativeName;

    public Long getParentId() {
        return parentId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getInternalCode() {
        return internalCode;
    }

    public void setInternalCode(String internalCode) {
        this.internalCode = internalCode;
    }

    public int getSubCountMax() {
        return subCountMax;
    }

    public void setSubCountMax(int subCountMax) {
        this.subCountMax = subCountMax;
    }

    public int getSubCount() {
        return subCount;
    }

    public void setSubCount(int subCount) {
        this.subCount = subCount;
    }

    public int getGradation() {
        return gradation;
    }

    public void setGradation(int gradation) {
        this.gradation = gradation;
    }

    public Long getOrgTypeId() {
        return orgTypeId;
    }

    public void setOrgTypeId(Long orgTypeId) {
        this.orgTypeId = orgTypeId;
    }

    public Long getOrgLevelId() {
        return orgLevelId;
    }

    public void setOrgLevelId(Long orgLevelId) {
        this.orgLevelId = orgLevelId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSimplePinYin() {
        return simplePinYin;
    }

    public void setSimplePinYin(String simplePinYin) {
        this.simplePinYin = simplePinYin;
    }

    public String getFullPinYin() {
        return fullPinYin;
    }

    public void setFullPinYin(String fullPinYin) {
        this.fullPinYin = fullPinYin;
    }

    public String getRelativeName() {
        return relativeName;
    }

    public void setRelativeName(String relativeName) {
        this.relativeName = relativeName;
    }
}
